Bug 9487 - Allow items fields to be used in the HOLDPLACED notice
Summary: Allow items fields to be used in the HOLDPLACED notice
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Notices (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Kyle M Hall
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-24 19:16 UTC by Kyle M Hall
Modified: 2014-12-07 20:02 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9487 - Allow items fields to be used in the HOLDPLACED notice (1.16 KB, patch)
2013-01-24 19:19 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 9487 - Allow items fields to be used in the HOLDPLACED notice (976 bytes, patch)
2013-01-24 19:21 UTC, Kyle M Hall
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9487 - Allow items fields to be used in the HOLDPLACED notice (1004 bytes, patch)
2013-06-11 04:44 UTC, Srdjan Jankovic
Details | Diff | Splinter Review
[PASSED QA] Bug 9487 - Allow items fields to be used in the HOLDPLACED notice (1.22 KB, patch)
2013-07-11 06:02 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2013-01-24 19:16:46 UTC
A number of libraries have asked why the HOLDPLACED notice allows you to choose item level fields but they are never filled in. There is no reason to disallow the use of items fields in the HOLDPLACED notice. 

For bib-level holds they will not be populated, but as long as the libraries know this, it does not seem like it would be an issue. It would probably be best to add a note about this in the manual.
Comment 1 Kyle M Hall 2013-01-24 19:19:05 UTC Comment hidden (obsolete)
Comment 2 Kyle M Hall 2013-01-24 19:21:10 UTC Comment hidden (obsolete)
Comment 3 Koha Team University Lyon 3 2013-03-18 14:30:35 UTC
I'm not sure to use the good field for this test. I try to add <<reserves.priority>> in the notice HOLDPLACED but it doesn't appear in the email. Which fields can be add to add to test the item level
Comment 4 Srdjan Jankovic 2013-06-11 04:44:56 UTC Comment hidden (obsolete)
Comment 5 Srdjan Jankovic 2013-06-11 04:47:12 UTC
Looks fine, however there could be some unwanted effects (blanks) in case of placing a hold on the next available.
Comment 6 Katrin Fischer 2013-07-11 06:02:28 UTC
Created attachment 19538 [details] [review]
[PASSED QA] Bug 9487 - Allow items fields to be used in the HOLDPLACED notice

Test Plan:
1) Enable the syspref emailLibrarianWhenHoldIsPlaced
2) Modify the HOLDPLACED notice, add some item level fields
3) Place an item level hold
4) Check the email you receive ( or just look at it from the db )
   You should see the item level fields are new populated

Signed-off-by: Srdjan <srdjan@catalyst.net.nz>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Passes all tests and QA script.

Amended test plan:
5) Place a title level hold
6) Check the email you receive - item fields are not populated,
   but notice still looks ok.
Comment 7 Galen Charlton 2013-08-14 22:08:13 UTC
Pushed to master.  Thanks, Kyle!